XMLLINT(1)

NAME
xmllint - parse XML files and print the result of parsing

SYNOPSIS
xmllint [--compress] [--copy] [--debug] [--debugent] [--htmlout] [--insert] [--noblanks] [--noent] [--noout] [--nowarning] [--nowarp] [--postvalid] [--push] [--recover] [--repeat] [--shell] [--testIO] [--valid] xmlfile...

DESCRIPTION
The xmllint program parses one or more XML files, specified on the command line as xmlfile.... It prints various types of output (depending upon the options selected). It is useful for detecting errors both in XML code and in the XML parser itself.

OPTIONS

--compress
    Do gzip(1) compression for the output.

--copy
    Test the internal copy implementation.

--debug
    Dump a debug tree of the in-memory document.

--debugent
    Debug the entities defined in the document.

--htmlout
    Output results in html format.

--insert
    Test for valid insertion.

--noblanks
    Drop blanks from the output.

--noent
    Substitute entity references by their value.

--noout
    Do not output the result tree.

--nowarning
    Do not print warning messages from the parser or validator.

--nowarp
    Do not put html document wrapper.

--postvalid
    Do a posteriori validation.

--push
    Use the push mode for the parser.

--recover
    Output what was parsable on broken XML documents.

--repeat
    Repeat the process 100 times, for the purpose of timing and profiling.

--shell
    Run a navigating shell.

--testIO
    Test user i/o support.

--valid
    Validate the document in addition to std well-formed.

RESULT
xmllint will return 1 if the XML is not well formed, 2 if the Dtd could not be loaded and 3 if the valiadtion fails. If no error is detected it will return 0.

FILES

/depot/package/libxml_2.0.0/bin/xmllint
    executable

SEE ALSO
libxml(4)

AUTHOR
Daniel Veillard (daniel@veillard.com) Manual page by Ziying Sherwin, Lister Hill National Center for Biomedical Communication, U.S. National Library of Medicine (sherwin@nlm.nih.gov).